import os
from setuptools import setup, find_packages

version = '0.0.5'

README = os.path.join(os.path.dirname(__file__),  'README.txt')
HISTORY = os.path.join(os.path.dirname(__file__), 'HISTORY.txt')
long_description = open(README).read() + '\n\n' + open(HISTORY).read() + '\n\n'
classifiers = [
    "Programming Language :: Python",
    "Topic :: Software Development :: Libraries :: Python Modules",
    ]

setup(
    name='roopeshv.base_skel',
    version=version,
    description="A package which acts as my base skeleton for my packages",
    long_description=long_description,
    classifiers=classifiers,
    keywords='roopeshv base_skeleton',
    author='Roopesh Vaddepally',
    author_email='roopeshvaddepally@gmail.com',
    license='GPL',
    packages=find_packages(),
    namespace_packages=['roopeshv',],
    ## still need to figure this property completely.
    entry_points={
        'console_scripts':['hello = roopeshv.base_skel.hello:main',]
        },
    install_requires=[
        ],
    test_suite='nose.collector',
    )
